Skip to main content

Synchronize Balance

POST 

/v2/financial/accounts/:financial_account_uid/balances/sync

Requests the current balance of a financial account from the financial institution. Requires an active connection.

Asynchronous Processing: This endpoint creates a balance synchronization command for the Financial Account.

Upon receiving the request, our API creates a Command, which is processed in the background. When the bank responds with the balance, the command is confirmed and a new balance is recorded in the Financial Account. You receive in the response to this request the created command and can query it at any time in List Commands of a Financial Account and View a Command. The recorded balance appears in List balances.

To be able to run the Balance Synchronization, there must be an active Connection (that is, validated and enabled) associated with the Financial Account, and its financial provider must offer balance queries via API. Otherwise, the response is 422 with param: financial_account.

Webhook Events​

When the request is made, a financial.account.balance_sync.requested event is triggered. After the response from the financial institution, the financial.account.balance_sync.confirmed event is triggered.

Request​

Responses​

Command created